PKCS_EncryptionPaddingScheme Class Reference

PKCS #1 v1.5 Encryption Padding Scheme. More...

`#include <pkcspad.h>`

Inheritance diagram for PKCS_EncryptionPaddingScheme:

## Public Member Functions

size_t | MaxUnpaddedLength (size_t paddedLength) const
| max size of unpadded message in bytes, given max size of padded message in bits (1 less than size of modulus)
void | Pad (RandomNumberGenerator &rng, const byte *raw, size_t inputLength, byte *padded, size_t paddedLength, const NameValuePairs &parameters) const
DecodingResult | Unpad (const byte *padded, size_t paddedLength, byte *raw, const NameValuePairs &parameters) const
Public Member Functions inherited from PK_EncryptionMessageEncodingMethod
virtual bool | ParameterSupported (const char *name) const

## Static Public Member Functions

static const char * | StaticAlgorithmName ()

## Detailed Description

PKCS #1 v1.5 Encryption Padding Scheme.

See also
  EME-PKCS1-v1_5

Definition at line 23 of file pkcspad.h.

## Member Function Documentation

## StaticAlgorithmName()

static const char * PKCS_EncryptionPaddingScheme::StaticAlgorithmName | ( |  | ) |

inline static

Definition at line 26 of file pkcspad.h.

## MaxUnpaddedLength()

size_t PKCS_EncryptionPaddingScheme::MaxUnpaddedLength | ( | size_t | paddedLength | ) | const

virtual

max size of unpadded message in bytes, given max size of padded message in bits (1 less than size of modulus)

Implements PK_EncryptionMessageEncodingMethod.

Definition at line 58 of file pkcspad.cpp.

## Pad()

void PKCS_EncryptionPaddingScheme::Pad | ( | RandomNumberGenerator & | rng,
|  | const byte * | raw,
|  | size_t | inputLength,
|  | byte * | padded,
|  | size_t | paddedLength,
|  | const NameValuePairs & | parameters
| ) |  | const

virtual

Implements PK_EncryptionMessageEncodingMethod.

Definition at line 63 of file pkcspad.cpp.

## Unpad()

DecodingResult PKCS_EncryptionPaddingScheme::Unpad | ( | const byte * | padded,
|  | size_t | paddedLength,
|  | byte * | raw,
|  | const NameValuePairs & | parameters
| ) |  | const

virtual

Implements PK_EncryptionMessageEncodingMethod.

Definition at line 86 of file pkcspad.cpp.

The documentation for this class was generated from the following files:

- pkcspad.h
- pkcspad.cpp